import { TemplateRef, ViewContainerRef } from '@angular/core';
import { User } from '../classes/user';
import { AuthService } from '../services/auth.service';
export declare class AuthWholesalerDirective {
    private templateRef;
    private viewContainer;
    private authService;
    auth: boolean;
    user: User;
    private productDirective;
    ecAuthWholesalerElse: TemplateRef<any>;
    set ecAuthWholesaler(authparams: any);
    constructor(templateRef: TemplateRef<any>, viewContainer: ViewContainerRef, authService: AuthService);
    ngOnInit(): void;
    ngOnDestroy(): void;
    ngOnChanges(): void;
}
